#' Exemplos de Inputs e Outputs
#'
#' Lista extensiva de dados utilizados somente para exemplos e testes.
#'
#' @docType data
#' @keywords datasets
#' @usage data(Exemplo)
"Exemplo"

##' Series de tempo dos grupos de receita
##'
##' Data frame com as series de tempo dos grupos de receitas usados no calculo do resultado estrutural.
##' Todos os valores estão em termos reais em logaritmo neperiano.
##'
##' @format Data.frame com 13 variáveis
##' \describe{
##'   \item{TRT}{Série de tempo dos tributos sobre renda do trabalho}
##'   \item{TFP}{Série de tempo dos tributos sobre seguridade social}
##'   \item{TRC}{Série de tempo dos tributos sobre renda do capital}
##'   \item{TI}{Série de tempo dos tributos indiretos}
##'   \item{TM}{Série de tempo dos tributos sobre importação}
##'   \item{TGC}{Série de tempo dos tributos sobre ganhos de capital}
##'   \item{ROY}{Série de tempo dos royalties de petróleo}
##'   \item{PE}{Série de tempo das participações especiais (na produção de petróleo)}
##'   \item{TRAN}{Série de tempo das transferências constitucionais da União para os entes federativos}
##'   \item{ICMS}{Série de tempo do Imposto sobre Circulação de Mercadorias e Serviços}
##'   \item{ISS}{Série de tempo do Imposto sobre Serviços}
##'   \item{Hpib}{Série de tempo do Hiato do Produto}
##'   \item{Hpet}{Série de tempo do Hiato do Petróleo}
##'}
#"Receita.Real"
